WordPress 5.0默认老版编辑器

有很多专栏作者用户,可能他们使用编辑器的习惯不同,那么他们的选择也是不同的。如果要为某些特定用户和文章类型禁用Gutenberg ,那么,这个插件会很有效。插件下载Disable Gutenberg首先需要安装并启用Disable Gutenberg插件,然后对插件进行设置,点击设置 禁用Gutenberg,保存即可。默认情况下,该插件会为网站上的所有用户禁用Gutenberg。但如果要为某些特定用户和文章类型禁用,则需要取消选中完全禁用选项。取消后将显示更多选项,以便为某些用户,文章类型,主题模板或单个文章有选择性的禁用Gutenberg。如果发现正在使用的WordPress插件与Gutenberg不兼容,而你又希望网站上其他区域可以使用Gutenberg,这款插件正好可以满足。方法3一句代码禁用Gutenberg古腾堡 编辑器其实之前经典的Classic Editor编辑器代码,在WordPress 50并没有被删除,上述插件也只是个切换开关而已。关键代码就一句 addfilteruseblockeditorforpost,returnfalse将代码添加到当前主题函数模板functionsphp中,即可切换回之前的编辑器,根本不需要那些插件。当然你想有更多的选择性,可以安装上述插件。后台禁用block editor编辑器后,前端还是会加载相关的的样式文件,还需要加上一句 removeactionwpenqueuescripts,wpcommonblockscriptsandstyles禁止前端加载样式文件。Classic Editor编辑器代码据WP官方称会延续集成到2021年才会从程序中彻底删除,但大家也不用担心,到时会有全套的Classic Editor编辑器插件让你选择。另外,完整中文版估计遥遥无期,目前50版完全可以用之前的语言文件,除了新编辑器没有汉化,其它没有影响。

WordPress核心团队预计将于今年年底发布WordPress 5.0版本,Gutenberg将成为默认的编辑器,它将取代传统的WordPress编辑器。虽然古腾堡看起来很高端,但很多用户发现它很不方便,相比之下,还是更喜欢经典编辑器。如果经典编辑器真的被5.0版本取代了,如何禁用Gutenberg并保留经典的WordPress编辑器呢?

什么是Gutenberg?

Gutenberg是即将推出的WordPress编辑器,其目的是使WordPress写作体验现代化。它尝试像页面构建器插件一样工作,允许将项目拖放到文章或页面中。目的是能为用户创建丰富多媒体内容时,提供更灵活的独特布局。

自WordPress 4.9.8以来,WordPress核心团队已经发布了一个试用Gutenberg的调用。此标注的目的是希望从数百万WordPress用户那里获得反馈,并为Gutenberg首次发布做好准备。预计WordPress 5.0将于今年晚些时候(2018年)推出,随着5.0版本的发布,Gutenberg将成为默认的WordPress编辑器。

为什么要禁用Gutenberg编辑器?

很多用户认为Gutenberg目前的状态还没有到现场使用的阶段,从官方插件地址看,Gutenberg插件平均评分为两星半,这一点足以说明一切。

尽管有负面评论,但WordPress核心团队正在努力使Gutenberg成为WordPress 5.0中的默认编辑器。这让很多用户非常担心,他们希望有一个选项来禁用Gutenberg并保留经典编辑器。幸运的是,WordPress有一个插件可以解决这一点。

方法1:使用Classic Editor插件

插件下载:Classic Editor

使用经典编辑器插件,该插件由WordPress核心贡献者开发和维护。直接后台安装并启用Classic Editor插件,无需设置,它将在启用时禁用Gutenberg编辑器。

这款插件可以设置同时保留Gutenberg和Classic编辑器。进入WordPress后台设置 撰写页面,在“经典编辑器设置”下勾选选项即可。

方法2:使用Disable Gutenberg插件

如果你网站有很多专栏作者用户,可能他们使用编辑器的习惯不同,那么他们的选择也是不同的。如果要为某些特定用户和文章类型禁用Gutenberg ,那么,这个插件会很有效。

插件下载:Disable Gutenberg

首先需要安装并启用Disable Gutenberg插件,然后对插件进行设置,点击设置 禁用Gutenberg,保存即可。

默认情况下,该插件会为网站上的所有用户禁用Gutenberg。但如果要为某些特定用户和文章类型禁用,则需要取消选中“完全禁用”选项。取消后将显示更多选项,以便为某些用户,文章类型,主题模板或单个文章有选择性的禁用Gutenberg。

如果发现正在使用的WordPress插件与Gutenberg不兼容,而你又希望网站上其他区域可以使用Gutenberg,这款插件正好可以满足。

方法3:一句代码禁用Gutenberg(古腾堡) 编辑器

其实之前经典的Classic Editor编辑器代码,在WordPress 5.0并没有被删除,上述插件也只是个切换开关而已。

关键代码就一句:

  1. add_filter('use_block_editor_for_post', '__return_false');

将代码添加到当前主题函数模板functions.php中,即可切换回之前的编辑器,根本不需要那些插件。

当然你想有更多的选择性,可以安装上述插件。

后台禁用block editor编辑器后,前端还是会加载相关的的样式文件,还需要加上一句:

  1. remove_action( 'wp_enqueue_scripts', 'wp_common_block_scripts_and_styles' );

禁止前端加载样式文件。

Classic Editor编辑器代码据WP官方称会延续集成到2021年才会从程序中彻底删除,但大家也不用担心,到时会有全套的Classic Editor编辑器插件让你选择。

另外,完整中文版估计遥遥无期,目前5.0版完全可以用之前的语言文件,除了新编辑器没有汉化,其它没有影响。

cambrian.render('tail')

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

0 条评论
登录 后参与评论

扫码关注云+社区

领取腾讯云代金券